Passkeys
List passkeys
GET
Requires scope wallets:read.
ApiKeyheader
AuthorizationBearer <sk_test_ or sk_live_ key>Your sk_live_ / sk_test_ API key
treasury?unknownx-customer-id?stringResponse Body
200application/json
Enrolled passkeys
TypeScript Definitions
Use the response body type in TypeScript.
data*
status*number
success*boolean
401application/json
The Authorization header is missing, malformed, or the API key is unknown or revoked
TypeScript Definitions
Use the response body type in TypeScript.
data*
status*number
success*boolean
429application/json
The API key exceeded its request budget for the window
TypeScript Definitions
Use the response body type in TypeScript.
data*
status*number
success*boolean
Language
curl -X GET 'https://api.pilot.shiga.io/v1/passkeys' \ -H 'x-customer-id: <customer id>' \ -H 'Authorization: Bearer sk_test_...'Example Response
{ "data": { "credentials": [ { "credentialId": "string", "label": "string", "rpId": "string", "origins": [ "string" ], "proofRequired": true, "provenAt": "2019-08-24T14:15:22Z", "createdAt": "2019-08-24T14:15:22Z" } ] }, "status": 200, "success": true}